Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 759079 - <dev-libs/openssl-1.1.1i: Denial of service in X509 parser (CVE-2020-1971)
Summary: <dev-libs/openssl-1.1.1i: Denial of service in X509 parser (CVE-2020-1971)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.openssl.org/news/secadv/2...
Whiteboard: A3 [glsa+ cve]
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: CVE-2020-1971
  Show dependency tree
 
Reported: 2020-12-08 17:07 UTC by Sam James
Modified: 2020-12-23 20:20 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/openssl-1.1.1i
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-12-08 17:07:30 UTC
Description:
"The X.509 GeneralName type is a generic type for representing different types
of names. One of those name types is known as EDIPartyName. OpenSSL provides a
function GENERAL_NAME_cmp which compares different instances of a GENERAL_NAME
to see if they are equal or not. This function behaves incorrectly when both
GENERAL_NAMEs contain an EDIPARTYNAME. A NULL pointer dereference and a crash
may occur leading to a possible denial of service attack."
Comment 1 Sam James archtester gentoo-dev Security 2020-12-08 23:18:33 UTC
Note that we needed an additional patch before stabilising: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2915b998b618e03e5c0fa120ae528be64209ea85.
Comment 2 Larry the Git Cow gentoo-dev 2020-12-08 23:24:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=10129a5714e39b28141cb501eccaf86d16d47c4d

commit 10129a5714e39b28141cb501eccaf86d16d47c4d
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-12-08 23:24:22 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-12-08 23:24:22 +0000

    dev-libs/openssl: sync (security bump to 1.1.1i)
    
    Bug: https://bugs.gentoo.org/759079
    Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/openssl/Manifest              |   2 +
 dev-libs/openssl/openssl-1.1.1i.ebuild | 341 +++++++++++++++++++++++++++++++++
 2 files changed, 343 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2020-12-10 17:48:50 UTC
amd64 done
Comment 4 Sam James archtester gentoo-dev Security 2020-12-10 18:38:58 UTC
ppc64 done
Comment 5 Sam James archtester gentoo-dev Security 2020-12-10 18:39:56 UTC
arm64 done
Comment 6 Rolf Eike Beer archtester 2020-12-10 19:23:29 UTC
hppa/sparc stable
Comment 7 Thomas Deutschmann gentoo-dev Security 2020-12-10 21:42:24 UTC
x86 stable
Comment 8 Sam James archtester gentoo-dev Security 2020-12-11 22:11:32 UTC
arm done
Comment 9 Sergei Trofimovich gentoo-dev 2020-12-12 07:36:33 UTC
ppc stable
Comment 10 Sam James archtester gentoo-dev Security 2020-12-13 23:27:01 UTC
s390 stable
Comment 11 Sam James archtester gentoo-dev Security 2020-12-14 01:03:14 UTC
Please cleanup.
Comment 12 Thomas Deutschmann gentoo-dev Security 2020-12-22 22:50:25 UTC
New GLSA request filed.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2020-12-23 20:20:23 UTC
This issue was resolved and addressed in
 GLSA 202012-13 at https://security.gentoo.org/glsa/202012-13
by GLSA coordinator Thomas Deutschmann (whissi).